/* CAJAS DE TIENDA ONLINE */
.shop-boxes {
    position: relative;
}

/* .shop-boxes > img {
            width: 100%;         
            background: linear-gradient(to right, black, rgba(255,255,255,0) 70.71%), var(--bg-shop);
        } */

.shop-boxes-bg {
    width: 100%;
    /* background: linear-gradient(to bottom, white, rgba(255, 255, 255, 0) 35.71%), var(--bg-shop); */
    background: linear-gradient(to bottom, black, rgba(255, 255, 255, 0) 35.71%), var(--bg-shop);
    height: auto;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    min-height: 51rem;
    /* background-attachment: fixed; */
}

.shop-text {
    padding: 1rem;
}

@media (max-width:768px) {
    .shop-boxes-bg {
        width: 100%;
        /* background: linear-gradient(to bottom, black, rgba(255, 255, 255, 0) 15.71%), var(--bg-shop); */
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center center;
        height: 45vh;
        min-height: 22rem;
        max-height: 35rem;
    }

    .shop-text>a {
        position: relative;
    }

    .container-btn-tienda {
        margin-bottom: 12rem;
    }
}

@media (max-width:400px) {
    .container-btn-tienda {
        margin-bottom: 11rem;
    }
}

@media (max-width:767px) {
    .container-btn-tienda {
        margin-bottom: 12rem;
    }

    .shop-text {
        padding: 1rem;
    }

    .shop-text>a {
        position: relative;
        display: inline-block;
    }
}

@media (max-width:400px) {
    .container-btn-tienda {
        margin-bottom: 12rem;
    }

    .btn_h {
        height: 60px;
    }
}

@media (max-width:500px) {
    .shop-boxes-bg {
        min-height: 32rem;
        height: 110vh;
        max-height: 38rem;
    }

    .shop-text>a {
        position: relative;
        width: 100%;
        display: inline-block;
    }
}

.shop-text {
    position: absolute;
    width: 100%;
    top: 0;
    background: linear-gradient(to bottom, black, rgba(255, 255, 255, 0) 96.71%);
    padding-top: 3rem;
}

.shop-text>h2 {
    color: var(--white);
    font-size: 1.25rem;
    font-family: var(--font-family-1);
    font-style: normal;
    font-weight: 400;
    /*line-height: 3.625rem;*/
    text-transform: uppercase;
    margin-top: 1.5rem;
    letter-spacing: 0.2rem;
}

.shop-text>div>p {
    color: var(--white);
    font-family: var(--font-family-1);
    font-size: 3rem;
    font-style: normal;
    font-weight: 700;
    line-height: 3.625rem;
    letter-spacing: 0.04rem;
    margin-top: 1.5rem;
}

.shop-text>a {
    /*text-decoration: none;*/
    /*  border: 2px solid var(--brand-black);*/
    /*padding: 0.5rem 2rem;
        color: var(--brand-black);
        font-family: var(--font-family-1);
        font-size: 1.125rem;
        font-style: normal;
        font-weight: 700;
        line-height: 1.22222rem;
        text-transform: uppercase;
        background-color: var(--brand-white);*/
    display: inline-flex;
}


/*.shop-text > a:hover {
            color: var(--black);
            background: rgba(255, 255, 255, 0.5);
        }

.shop-text>a:active {
    background-color: var(--gray-dark-4);
}*/

@media (max-width:768px) {
    .shop-text {
        position: absolute;
        padding: 0rem;
    }

    .shop-boxes {
        position: relative;
    }

    .shop-text>h4 {
        font-size: 1.625rem;
        line-height: 2.125rem;
    }

    .shop-boxes>img {
        margin-top: 2.5rem;
    }
}

@media (max-width:500px) {
    .shop-boxes>img {
        margin-top: 1rem;
        min-height: 276px;
        object-fit: cover;
    }

    .shop-text {
        padding: 1rem;
    }

    .container-btn-tienda {
        /* padding-bottom: 4rem; */
        padding-bottom: 2.5rem;
    }

    .shop-text>div>p {
        font-size: 14px;
    }

    .shop-boxes-bg {
        min-height: 18rem;
        height: 80vh;
        max-height: 30rem;
    }

    .shop-text {
        padding-top: 0rem;
    }
}

@media (max-width:384px) {
    .shop-boxes-bg {
        min-height: 20rem;
        max-height: 32rem;
        height: 100vh;
    }

    .container-btn-tienda {
        /* padding-bottom: 1rem; */
        padding-bottom: 4.5rem;
    }

    .shop-text {
        padding-top: 3rem;
    }
}

@media (max-width:390px) {
    .shop-boxes-bg {
        min-height: 31rem;
    }

    .container-btn-tienda {
        /* padding-bottom: 1rem; */
        padding-bottom: 0;
    }
}